CFGTree		tree;

CFGLeaf
	leaf_pref_txtwin_geom,
	leaf_pref_txtfont_large,
	leaf_pref_txtfont_small,

	leaf_pref_graphwin_geom,
	leaf_pref_graphfont,
	leaf_pref_graphbackgr,
	leaf_pref_axes,
	leaf_pref_point,

	leaf_p_ver,
	leaf_p_date,
	leaf_p_modif,

	leaf_c_ver,
	leaf_c_date,
	leaf_c_modif,

	leaf_site_name,
	leaf_long,
	leaf_lat,
	leaf_tmZone,
	leaf_alt,
	leaf_loc,

	leaf_lev,
	leaf_coord,
	leaf_star,
	leaf_spec,
	leaf_resp,
	leaf_weight,

	leaf_tempdir,
	leaf_raw,
	leaf_log,

	leaf_map_a,
	leaf_discr_a,

	leaf_map_b,
	leaf_discr_b,

	leaf_map_c,
	leaf_discr_c,

	leaf_map_d,
	leaf_discr_d,

	leaf_wide_ap,
	leaf_work_ap,
	leaf_centring,
	leaf_control,
	leaf_clens1,
	leaf_clens2,
	leaf_close,
	leaf_reserv,

//-----------------

	leaf_hv,
	leaf_illum,
	leaf_but_tm,
	leaf_tmpr_tm,
	leaf_hv_tm,
	leaf_estim_tm,
	leaf_count_save,
	leaf_log_save,

	leaf_init_dr,
	leaf_init_aper,
	leaf_init_ill,
	leaf_init_light,
	leaf_init_but,
	leaf_init_butmod,
	leaf_init_hv,
	leaf_saf,
	leaf_stat_test,
	leaf_exch_test,
	leaf_det_test,

	leaf_with_app,
	leaf_exp,
	leaf_btime,
	leaf_acctime,

	leaf_g_with_app,
	leaf_with_sec,
	leaf_exp_gen,
	leaf_btime_gen,
	leaf_acctime_gen,
	leaf_sec_tm,
// lll
	leaf_foc_with_app,
	leaf_foc_start,
	leaf_foc_fin,
	leaf_foc_acctime,
	leaf_foc_exp,

	leaf_cen_with_app,
	leaf_cen_start,
	leaf_cen_fin,
	leaf_cen_acctime,
	leaf_cen_exp,
	leaf_cen_deltx,
	leaf_cen_delty,

	leaf_bac_meth,
	leaf_bac_with_app,
	leaf_bac_start,
	leaf_bac_fin,
	leaf_bac_cora,
	leaf_bac_acctime,
	leaf_bac_a,

	leaf_dc_with_ap,
	leaf_dc_hv,
	leaf_dc_disc,
	leaf_dc_light,
	leaf_dc_acctm,

	leaf_ds_with_ap,
	leaf_ds_light,
	leaf_ds_acctm,

	leaf_park_dr,
	leaf_park_ill,
	leaf_park_light,
	leaf_park_but,
	leaf_park_hv,

	leaf_nlin_a,
	leaf_npois_a,

	leaf_nlin_b,
	leaf_npois_b,

	leaf_nlin_c,
	leaf_npois_c,

	leaf_nlin_d,
	leaf_npois_d,

	leaf_disp_len,

	leaf_txt_a,
	leaf_pic_a,
	leaf_size_a,
	leaf_color_a,
	leaf_ref_a,

	leaf_txt_ad,
	leaf_pic_ad,
	leaf_size_ad,
	leaf_color_ad,
	leaf_ref_ad,

	leaf_txt_a05,
	leaf_pic_a05,
	leaf_size_a05,
	leaf_color_a05,
	leaf_ref_a05,

	leaf_txt_isop,
	leaf_pic_isop,
	leaf_size_isop,
	leaf_color_isop,
	leaf_ref_isop,

	leaf_test_with_ap,
	leaf_test_tm_exch,
	leaf_test_tm_det,
	leaf_test_light,
	leaf_test_a,
	leaf_test_tol,
	leaf_test_tol_pois,
	leaf_t_light,
	leaf_t_ampl,

	leaf_scen_1,
	leaf_scen_2;	

CFGBranch
	branch_pref,
		branch_pref_txt,
		branch_pref_graph,
	branch_general,
		branch_p_ver,
		branch_c_ver,
		branch_site,
		branch_inp,
		branch_out,
	branch_dev,
		branch_ch_a,
		branch_ch_b,
		branch_ch_c,
		branch_ch_d,
		branch_aper,
		branch_optic,

	branch_oper,
		branch_common_oper,
		branch_init,
		branch_norm,
		branch_gener,
		branch_focus,
		branch_center,
		branch_backgr,
		branch_det_count,
		branch_det_stat,
		branch_test,
		branch_park,
		branch_scen,

	branch_disp,
		branch_disp_comm,
		branch_ind,
			branch_a_ind,
			branch_ad_ind,
			branch_a05_ind,
		branch_integr,
			branch_isop;

Link
	link_pref,
		link_pref_txt,
			link_pref_txtwin_geom,
			link_pref_txtfont_large,
			link_pref_txtfont_small,
		link_pref_graph,
			link_pref_graphwin_geom,
			link_pref_graphfont,
			link_pref_axes,
			link_pref_graphbackgr,
			link_pref_point,
	link_general,
		link_p_ver,
			link_leaf_p_ver,
			link_p_date,
			link_p_modif,

		link_c_ver,
			link_leaf_c_ver,
			link_c_date,
			link_c_modif,

		link_site,
			link_site_name,
			link_long,
			link_lat,
			link_tmZone,
			link_alt,
			link_loc,
			link_lev,
		link_inp,
			link_coord,
			link_star,
			link_spec,
			link_resp,
			link_weight,
		link_out,
			link_tempdir,
			link_raw,
			link_log,
	link_dev,

		link_ch_a,
			link_map_a,
			link_stat_a,
			link_discr_a,
			link_number_a,
			link_nlin_a,
			link_npois_a,
		link_ch_b,
			link_map_b,
			link_stat_b,
			link_discr_b,
			link_number_b,
			link_nlin_b,
			link_npois_b,
		link_ch_c,
			link_map_c,
			link_stat_c,
			link_discr_c,
			link_number_c,
			link_nlin_c,
			link_npois_c,
		link_ch_d,
			link_map_d,
			link_stat_d,
			link_discr_d,
			link_number_d,
			link_nlin_d,
			link_npois_d,
		link_aper,
			link_wide_ap,
			link_work_ap,
			link_centring,
			link_control,
			link_clens1,
			link_clens2,
			link_close,
			link_reserv,
		link_optic,

	link_oper,
		link_common_oper,
			link_hv,
			link_illum,
			link_but_tm,
			link_tmpr_tm,
			link_hv_tm,
			link_estim_tm,
			link_count_save,
			link_log_save,
		link_init,
			link_init_dr,
		        link_init_aper,
		        link_init_ill,
		        link_init_light,
		        link_init_but,
		        link_init_butmod,
		        link_init_hv,
		        link_saf,
			link_stat_test,
			link_exch_test,
			link_det_test,
		link_norm,
			link_with_app,
			link_exp,
			link_btime,
			link_acctime,
		link_gener,
			link_g_with_app,
			link_with_sec,
			link_exp_gen,
			link_btime_gen,
			link_acctime_gen,
			link_sec_tm,
		link_focus,
			link_foc_with_app,
			link_foc_start,
			link_foc_fin,
			link_foc_acctime,
			link_foc_exp,
		link_center,
			link_cen_with_app,
			link_cen_start,
			link_cen_fin,
			link_cen_acctime,
			link_cen_exp,
			link_cen_deltx,
			link_cen_delty,
		link_backgr,
			link_bac_meth,
			link_bac_with_app,
			link_bac_start,
			link_bac_fin,
			link_bac_cora,
			link_bac_corb,
			link_bac_corc,
			link_bac_cord,
			link_bac_acctime,
			link_bac_a,
			link_bac_b,
			link_bac_c,
			link_bac_d,
		link_det_count,
			link_dc_with_ap,
			link_dc_hv,
			link_dc_disc,
			link_dc_light,
			link_dc_acctm,
		link_det_stat,
			link_ds_with_ap,
			link_ds_light,
			link_ds_acctm,
		link_test,
			link_test_with_ap,
			link_test_tm_exch,
			link_test_tm_det,
			link_test_light,
			link_test_a,
			link_test_b,
			link_test_c,
			link_test_d,
			link_test_tol,
			link_test_tol_pois,
			link_t_light,
			link_t_ampl,
		link_park,
			link_park_dr,
			link_park_ill,
			link_park_light,
			link_park_but,
			link_park_hv,
		link_scen,
			link_scen_1,
			link_scen_2,
	link_disp,
		link_disp_comm,
			link_disp_len,
		link_ind,
			link_a_ind,
				link_txt_a_ind,
				link_pic_a_ind,
				link_size_a_ind,
				link_color_a_ind,
				link_ref_a_ind,
			link_ad_ind,
				link_txt_ad_ind,
				link_pic_ad_ind,
				link_size_ad_ind,
				link_color_ad_ind,
				link_ref_ad_ind,
			link_a05_ind,
				link_txt_a05_ind,
				link_pic_a05_ind,
				link_size_a05_ind,
				link_color_a05_ind,
				link_ref_a05_ind,
		link_integ,
		 	link_isop,
				link_txt_isop,
				link_pic_isop,
				link_size_isop,
				link_color_isop,
				link_ref_isop;
