#!/bin/sh
SHARE=/usr/share/turbina
LIB=/usr/lib/turbina
DOC=/usr/doc/turbina

if [ ! -d $SHARE ]; then
	mkdir -p $SHARE
	chown :52 $SHARE ; chmod g+rwx $SHARE
fi

cp -R  log $SHARE/
chown -R :51 $SHARE/log
chmod -R g+rwx $SHARE/log

cp -R  data $SHARE/
chown -R :52 $SHARE/data
chmod -R g+rwx $SHARE/data

cp -R  out $SHARE/
chown -R :51 $SHARE/out
chmod -R g+rwx $SHARE/out
 
cp -R  spectra $SHARE/
chown -R :52 $SHARE/spectra
chmod -R g+rwx $SHARE/spectra

cp -R  weight $SHARE/
chown -R :52 $SHARE/weight
chmod -R g+rwx $SHARE/weight

if [ ! -d $LIB ]; then
	mkdir -p $LIB
	chown :52 $LIB ; chmod g+rwx $LIB
fi

cp -R -f lib/* $LIB/ 
chown -R :52 $LIB; 
chmod -R g+rwx $LIB

if [ ! -d $DOC ]; then
	mkdir -p $DOC
fi

cp -Rp doc/* $DOC

install -c -g 1 -m 04555 ./src/turbina /usr/X11R6/bin
