#ifndef DATAARRAY_H
#define DATAARRAY_H

class DataArray : public QArray<double> {
public:
	DataArray( int );
	~DataArray();
	void reset( int size ) { resize( size ); _number=0; }
	int put( double );
	double get( int );
	int getNumber( void ) { return _number; }
	void searchMinMax( void );
	double getDataMin( void ) { return _min; }
	double getDataMax( void ) { return _max; }
private:
	int _number;
	double _min;
	double _max;
};

#endif