#ifndef JKERROR_H
#define JKERROR_H

#include <qstring.h>

class ErrorBase {
	private:
		QString message;
	public:
		ErrorBase( QString msg ) { message = msg.copy(); }
		QString getMessage( void ) { return message; }
};

class LoadError		: public ErrorBase {
public:
	LoadError( QString msg ) : ErrorBase( msg ) {}
};

class CFGError		: public ErrorBase {
public:
	CFGError( QString msg ) : ErrorBase( msg ) {}
};

class DeviceError	: public ErrorBase {
public:
	DeviceError( QString msg ) : ErrorBase( msg ) {}
};

#endif